Bug 457379 - no excludes in yumconf during buildinstall and subsequential compose scripts
no excludes in yumconf during buildinstall and subsequential compose scripts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-31 06:21 EDT by Jeroen van Meeuwen
Modified: 2013-07-04 08:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:42:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2008-07-31 06:21:22 EDT
Description of problem:

anaconda does not allow excludes in it's yum configuration for use with
buildinstall and subsequential scripts. Now that external repositories have been
enabled for buildinstall to use when pulling in the packages it depends upon,
there's no way to exclude packages anymore.

The result is that fedora-logos is going to end up being used for stage2.img
composing and has the fedora trademarks.

Version-Release number of selected component (if applicable):

anaconda-0:11.4.1.20-1.x86_64

How reproducible:

Use external repositories for buildinstall
  
Actual results:

fedora-logos is pulled in no matter what the actual preferred package is.

Expected results:

fedora-logos is not pulled in (by means of excludes in the yum config file used
with buildinstall), and the preferred -logos package is.
Comment 1 Bug Zapper 2008-11-25 21:37:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jeroen van Meeuwen 2008-12-11 09:18:29 EST
Setting the version back to rawhide as this is unlikely to be accepted as a change to F-10's anaconda
Comment 3 David Cantrell 2009-04-14 16:35:12 EDT
mgracik,

Something to think about while working on lorax.
Comment 4 Bug Zapper 2009-06-09 05:39:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 08:10:35 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 06:42:08 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.